#!/bin/sh

readonly VERBOSE=${VERBOSE:-"0"}
readonly QUIET=${QUIET:-"0"}

error() {
    >&2 echo "${PROGNAME}: $1"
    exit 1
}
debug() {
    if [ "${VERBOSE}" = "1" ] && [ "${QUIET}" != "1" ]; then
        >&2 echo "${PROGNAME}: $1"
    fi
}

apache2ctl_bin=$(command -v apache2ctl)

if [ -n "$(pidof apache2)" ] && [ -n "${apache2ctl_bin}" ]; then
    if grep -r -E "letsencrypt" /etc/apache2/; then
        if ${apache2ctl_bin} configtest > /dev/null; then
            debug "Apache detected... reloading"
            systemctl reload apache2
        else
            error "Apache config is broken, you must fix it !"
        fi
    else
        debug "Apache doesn't use Let's Encrypt certificate. Skip."
    fi
else
    debug "Apache is not running or missing. Skip."
fi
